instalar automaticamente dependencias de programa a instalar

hola estoy tratando de instalar un programa desde su codigo fuente y cuando pongo ./configure me dice que faltan instalar cosas antes de instalar el programa , necesito saber si hay algun comando para que instale automaticamente todas las dependencias o cosas que hace falta para instalar el programa, algunas cosas las pude instalar pero otras no puedo hacerlo igual lo que busco es un comando que me instale todo lo que haga falta para instalar el programa que quiero instalar.
tambien me tira este error un driver que quiero instalar y no se que hacer :
el error es este:
jeriko@jeriko-desktop:~/Escritorio/pips-sc480-2.1.2$ sudo make
make all-recursive
make[1]: se ingresa al directorio «/home/jeriko/Escritorio/pips-sc480-2.1.2»
Making all in src
make[2]: se ingresa al directorio «/home/jeriko/Escritorio/pips-sc480-2.1.2/src»
gcc -DHAVE_CONFIG_H -I. -I. -I.. -DGS_PATH="gs" -DLOCALEDIR="/usr/share/locale" -DPRINTER_MODEL=""Stylus Color 480"" -DSC480 -DLIBPATH="/usr/lib/libsc480.so" -DRSC_PATH="/etc/pipsrc" -DSPOOL_NAME="sc480" -DLOCALE_PATH="/usr/share/locale" -DNAVI_PATH="/usr/bin/ekpnavi" -DDATA_PATH="/usr/local/EPKowa/SC480" -DRULED_PATH="/usr/local/EPKowa/SC480/BID.PRN" -DPATCH_PATH="/usr/local/EPKowa/SC480/PATCH.PRN" -DBAND_PATH="/usr/local/EPKowa/SC480/BAND.PRN" -DCUT_PATH="/usr/local/EPKowa/SC480/CUT.PRN" -D_LPR_DIRECT -g -O2 -Wall -fsigned-char -c uiModule.c
In file included from uiModule.c:34:
xMode.h:36:21: error: gtk/gtk.h: No existe el fichero o el directorio
xMode.h:37:18: error: glib.h: No existe el fichero o el directorio
In file included from uiModule.c:34:
xMode.h:55: error: expected specifier-qualifier-list before ‘GtkWidget’
xMode.h:63: error: expected specifier-qualifier-list before ‘GtkWidget’
xMode.h:69: error: expected specifier-qualifier-list before ‘GtkWidget’
xMode.h:77: error: expected specifier-qualifier-list before ‘GtkWidget’
xMode.h:85: error: expected specifier-qualifier-list before ‘GtkWidget’
xMode.h:98: error: expected specifier-qualifier-list before ‘GtkWidget’
xMode.h:161: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
xMode.h:162: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
xMode.h:163: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
xMode.h:164: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
xMode.h:165: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
xMode.h:166: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
xMode.h:168: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
xMode.h:169: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
xMode.h:172: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
uiModule.c:51: error: expected ‘)’ before ‘*’ token
uiModule.c:52: error: expected ‘)’ before ‘*’ token
uiModule.c:53: error: expected ‘)’ before ‘*’ token
uiModule.c:54: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
uiModule.c:56: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
uiModule.c:57: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
uiModule.c:58: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
uiModule.c:59: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
uiModule.c:60: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
uiModule.c:61: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
uiModule.c:62: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
uiModule.c:63: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
uiModule.c:131: error: expected ‘)’ before ‘*’ token
uiModule.c:137: error: expected ‘)’ before ‘*’ token
uiModule.c:178: error: expected ‘)’ before ‘*’ token
uiModule.c:184: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
uiModule.c:217: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
uiModule.c:244: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
uiModule.c:311: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
uiModule.c:359: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
uiModule.c:396: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
uiModule.c: In function ‘confWinInit’:
uiModule.c:436: warning: implicit declaration of function ‘gtk_set_locale’
uiModule.c:437: warning: implicit declaration of function ‘gtk_init’
uiModule.c:438: warning: implicit declaration of function ‘gtk_rc_parse’
uiModule.c:495: warning: implicit declaration of function ‘gtk_timeout_add’
uiModule.c: In function ‘confWinFinalize’:
uiModule.c:533: warning: implicit declaration of function ‘gtk_timeout_remove’
uiModule.c: In function ‘confWinShow’:
uiModule.c:541: error: ‘GtkWidget’ undeclared (first use in this function)
uiModule.c:541: error: (Each undeclared identifier is reported only once
uiModule.c:541: error: for each function it appears in.)
uiModule.c:541: error: ‘window’ undeclared (first use in this function)
uiModule.c:542: error: ‘vbox’ undeclared (first use in this function)
uiModule.c:543: error: ‘container’ undeclared (first use in this function)
uiModule.c:544: error: ‘hbox’ undeclared (first use in this function)
uiModule.c:549: warning: implicit declaration of function ‘gtk_window_new’
uiModule.c:549: error: ‘GTK_WINDOW_TOPLEVEL’ undeclared (first use in this function)
uiModule.c:550: warning: implicit declaration of function ‘gtk_window_set_title’
uiModule.c:550: warning: implicit declaration of function ‘GTK_WINDOW’
uiModule.c:551: warning: implicit declaration of function ‘gtk_signal_connect’
uiModule.c:551: warning: implicit declaration of function ‘GTK_OBJECT’
uiModule.c:551: warning: implicit declaration of function ‘GTK_SIGNAL_FUNC’
uiModule.c:551: error: ‘gtk_main_quit’ undeclared (first use in this function)
uiModule.c:553: warning: implicit declaration of function ‘gtk_vbox_new’
uiModule.c:553: error: ‘FALSE’ undeclared (first use in this function)
uiModule.c:555: warning: implicit declaration of function ‘makePropertyNotebook’
uiModule.c:556: warning: implicit declaration of function ‘gtk_box_pack_start’
uiModule.c:556: warning: implicit declaration of function ‘GTK_BOX’
uiModule.c:557: warning: implicit declaration of function ‘gtk_widget_show’
uiModule.c:558: warning: implicit declaration of function ‘finButtonBoxNew’
uiModule.c:562: warning: implicit declaration of function ‘gtk_container_add’
uiModule.c:562: warning: implicit declaration of function ‘GTK_CONTAINER’
uiModule.c:566: warning: implicit declaration of function ‘gtk_window_set_policy’
uiModule.c:569: warning: implicit declaration of function ‘gtk_main’
uiModule.c: At top level:
uiModule.c:574: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
uiModule.c:598: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
uiModule.c:654: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘*’ token
make[2]: *** [uiModule.o] Error 1
make[2]: se sale del directorio «/home/jeriko/Escritorio/pips-sc480-2.1.2/src»
make[1]: *** [all-recursive] Error 1
make[1]: se sale del directorio «/home/jeriko/Escritorio/pips-sc480-2.1.2»
make: *** [all-recursive-am] Error 2
jeriko@jeriko-desktop:~/Escritorio/pips-sc480-2.1.2$

5 comentarios - instalar automaticamente dependencias de programa a instalar

@gamborimbo
y cual programa quieres instalar ?
este no es un foro, pero ya que lo usas como tal, al menos tomate la molestia de preguntar correctamente.

saludos
@gamborimbo
solo la conectas, vas a administracion, impresoras y agregar impresora, sola debe buscar los drivers, o quiza te aparecera una lista de impresoras epson, busca la adecuada , seleccionas la impresora y listo.
en linux es lo mas facil que te puedas imaginar, quiza piensas que estas en win, por eso se te dificulta.
suerte